Package org.eclipse.wst.xsl.core.internal.util

## org.eclipse.wst.xsl.core.internal.util
Class Debug

    public class Debug
    extends java.lang.Object

Debug Class is used to determine when Debugging output to system out.

## Field Summary

`public static boolean` | `checkForMemoryLeaks`
`public static boolean` | `collectStats`
`public static int` | `DEBUG`
`public static boolean` | `DEBUG_THREADLOCAL`
`public static boolean` | `debugBreakpoints`
`public static boolean` | `debugCaretMediator`
`public static boolean` | `debugDisplayTreePositions`
`public static boolean` | `debugLauncher`
`public static boolean` | `debugMediator`
`public static boolean` | `debugNotification`
`public static boolean` | `debugNotificationAndEvents`
`public static boolean` | `debugNotifyDeferred`
`public static boolean` | `debugReconciling`
`public static boolean` | `debugRtfFormatProvider`
`public static boolean` | `debugStructuredDocument`
`public static boolean` | `debugTaglibs`
`public static boolean` | `debugTokenizer`
`public static boolean` | `debugTreeModel`
`public static boolean` | `debugUpdateTreePositions`
`public static boolean` | `debugXSLModel` Output Modeling Messages.
`public static boolean` | `displayInfo`
`public static boolean` | `displayToConsole` effects output of Logger
`public static boolean` | `displayWarnings`
`public static boolean` | `headParsing`
`public static boolean` | `jsDebugContextAssist`
`public static boolean` | `jsDebugSyntaxColoring`
`public static boolean` | `LOCKS`
`public static boolean` | `perfTest`
`public static boolean` | `perfTestAdapterClassLoading`
`public static boolean` | `perfTestFormat`
`public static boolean` | `perfTestRawStructuredDocumentOnly`
`public static boolean` | `perfTestStructuredDocumentEventOnly`
`public static boolean` | `perfTestStructuredDocumentOnly`
`public static boolean` | `syntaxHighlighting`
`public static boolean` | `useStandardEolInWidget`

## Constructor Summary

`Debug()`

## Method Summary

`public static void` | `dump(IStructuredDocument structuredDocument)` For tests and debug only
`public static void` | `dump(IStructuredDocument structuredDocument , boolean verbose)`
`public static void` | `dump(ITextRegionCollection region , boolean verbose)`
`public static void` | `println(java.lang.String msg)` Simple utility to make sure println's are some what in order
`public static java.lang.String` | `toStringUtil(IStructuredDocument object)`
`public static java.lang.String` | `toStringUtil(ITextRegionCollection object)`

## Field Detail

## checkForMemoryLeaks

`public static boolean checkForMemoryLeaks`

## collectStats

`public static boolean collectStats`

## DEBUG

`public static int DEBUG`

## DEBUG_THREADLOCAL

`public static boolean DEBUG_THREADLOCAL`

## debugBreakpoints

`public static boolean debugBreakpoints`

## debugCaretMediator

`public static boolean debugCaretMediator`

## debugDisplayTreePositions

`public static boolean debugDisplayTreePositions`

## debugLauncher

`public static boolean debugLauncher`

## debugMediator

`public static boolean debugMediator`

## debugNotification

`public static boolean debugNotification`

## debugNotificationAndEvents

`public static boolean debugNotificationAndEvents`

## debugNotifyDeferred

`public static boolean debugNotifyDeferred`

## debugReconciling

`public static boolean debugReconciling`

## debugRtfFormatProvider

`public static boolean debugRtfFormatProvider`

## debugStructuredDocument

`public static boolean debugStructuredDocument`

## debugTaglibs

`public static boolean debugTaglibs`

## debugTokenizer

`public static boolean debugTokenizer`

## debugTreeModel

`public static boolean debugTreeModel`

## debugUpdateTreePositions

`public static boolean debugUpdateTreePositions`

## debugXSLModel

`public static boolean debugXSLModel`

Output Modeling Messages.

## displayInfo

`public static boolean displayInfo`

## displayToConsole

`public static boolean displayToConsole`

effects output of Logger

## displayWarnings

`public static boolean displayWarnings`

## headParsing

`public static boolean headParsing`

## jsDebugContextAssist

`public static boolean jsDebugContextAssist`

## jsDebugSyntaxColoring

`public static boolean jsDebugSyntaxColoring`

## LOCKS

`public static boolean LOCKS`

## perfTest

`public static boolean perfTest`

## perfTestAdapterClassLoading

`public static boolean perfTestAdapterClassLoading`

## perfTestFormat

`public static boolean perfTestFormat`

## perfTestRawStructuredDocumentOnly

`public static boolean perfTestRawStructuredDocumentOnly`

## perfTestStructuredDocumentEventOnly

`public static boolean perfTestStructuredDocumentEventOnly`

## perfTestStructuredDocumentOnly

`public static boolean perfTestStructuredDocumentOnly`

## syntaxHighlighting

`public static boolean syntaxHighlighting`

## useStandardEolInWidget

`public static boolean useStandardEolInWidget`

## Constructor Detail

## Debug

`public Debug()`

Debug constructor comment.

## Methods Detail

## dump

`public void dump(IStructuredDocument structuredDocument)`

For tests and debug only

### Parameters

`structuredDocument`

## dump

`public void dump(IStructuredDocument structuredDocument , boolean verbose)`

### Parameters

`structuredDocument`

`verbose`

## dump

`public void dump(ITextRegionCollection region , boolean verbose)`

### Parameters

`region`

`verbose`

## println

`public void println(java.lang.String msg)`

Simple utility to make sure println's are some what in order

### Parameters

`msg`

## toStringUtil

`public java.lang.String toStringUtil(IStructuredDocument object)`

### Parameters

`object`

### Returns

`java.lang.String`

## toStringUtil

`public java.lang.String toStringUtil(ITextRegionCollection object)`

### Parameters

`object`

### Returns

`java.lang.String`